Subject: Update on Dir and Solaris 2.5.1

From: Vidiot <[email-masked]>
Date: Mon, 3 Mar 1997 18:48:36 -0600 (CST)

I've discovered the following situation and have three users to show the point:

	anonymous		/bin/true
	ftmsftp			/bin/false
	brown			/usr/local/bin/zsh

The first user is obvious.  The second user has been set up to chroot to a
particular area of the ftp file area, without being able to go anywhere else
in the system.  Can't even get the the generic ftp area.  The third is me,
a normal user.

The first two get nothing displayed when doing "dir".  I see a correct listing
when doing "dir".

Is it me, or is ftp trying to start a shell in order to process the dir
command?  Well, it can't if there isn't a real shell available for the
users.  Is this a catch-22 situation?

MB
-- 
System Administrator - Finnigan FT/MS - Madison WI. <URL:http://www.ftms.com/>
e-mail: [email-masked]
phone: (608) 273-8262 ext: 612  fax: (608) 273-8719
Visit - <URL:http://www.cdsnet.net/vidiot/>  (Your link to Star Trek and UPN)

---

From: Bob Myers <[email-masked]>
Date: Mon, 03 Mar 1997 18:49:18 -0800

> users.  Is this a catch-22 situation?

This *sounds* like a chroot problem, not a shell problem.  My guess is
that you don't have the "ls" command set up correctly in the chroot
environment - a common problem, especially under Solaris.  It can be a
little difficult to build an 'ls' program (which is what the "dir" FTP
command runs) that will run under a chroot environment - you need to
build either a statically linked version of "ls" or make sure you have
all the dynamic libraries you need in the chroot /usr/lib directory.

You do not need a real shell to run "dir", just a real, working "ls" in
the chroot area.